View Issue Details

IDProjectCategoryView StatusLast Update
0027057mantisbtinstallationpublic2020-10-17 12:57
ReporterDmagnate111 Assigned Todregad  
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version2.24.1 
Summary0027057: PHP Fatal error: Uncaught Error: Call to undefined method ComposerAutoloaderInitfa60a1d30e82198ab309dba1a3049801
Description

GoodDay Folks,

I am trying to install mantisbt over RHEL 7.5. Below is version info,

Apache - 2.4
MariaDB - 5.5
PHP - 7.4

I am repeatedly getting below error when I try to run Install.php from my browser.

[Mon Jun 22 22:30:56.785258 2020] [php7:notice] [pid 3375] [client 192.168.50.1:57044] PHP Fatal error: Uncaught Error: Call to undefined method ComposerAutoloaderInitfa60a1d30e82198ab309dba1a3049801::getLoader() in /var/www/html/mantisbt/vendor/autoload.php:7\nStack trace:\n#0 /var/www/html/mantisbt/core.php(91): require_once()\n#1 /var/www/html/mantisbt/admin/install.php(34): require_once('/var/www/html/m...')\n#2 {main}\n thrown in /var/www/html/mantisbt/vendor/autoload.php on line 7

Steps To Reproduce

Install all components, Run http://<>/admin/mantisbt/install.php

Page doesn't open. With above Error.

Restart httpd. This time page opens.

Click Next and again Page doesn't open with same Error as above.

Additional Information

What I understand this could be compatibility issue as setup is working fine for me with php 7.2 on CentOS, but unfortunately I cannot deploy CentOS on Office Datacentre.

Appreciate response from team.

TagsNo tags attached.

Relationships

related to 0027362 resolveddregad Sourceforge [admin/test_langs.php] File missing from installation packages ( mantisbt-2.24.3.zip & mantisbt-2.24.3.tar.gz) 

Activities

dregad

dregad

2020-06-22 11:22

developer   ~0064121

Did you download Mantis release tarball from our website/sourceforge, or are you using Git ? If the latter, did you run composer install ?

Dmagnate111

Dmagnate111

2020-06-22 11:30

reporter   ~0064122

I did from Tarball initially. Now checking from GitHub but looks like Error related to same autoload.php file only.

[Mon Jun 22 23:29:36.716399 2020] [php7:notice] [pid 3376] [client 192.168.50.1:59312] PHP Fatal error: require_once(): Failed opening required '/var/www/html/mantisbt/vendor/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php') in /var/www/html/mantisbt/core.php on line 91

Dmagnate111

Dmagnate111

2020-06-22 12:34

reporter   ~0064123

" If the latter, did you run composer install ? "

Sorry, just checked this. I didn't ran composer install. Already had this done for setup I downloaded from sourceforge.net

Is it mandatory for every new setup ?

dregad

dregad

2020-06-23 02:57

developer   ~0064124

The autoload.php file is generated by composer, so if it's missing then I would assume an incorrect / incomplete install.

If you use the "official" install package from SourceForge, then you don't need to run Composer, the libraries are bundled in the tarball.
Running Composer yourself is only needed if you get the MantisBT source from GitHub.

Dmagnate111

Dmagnate111

2020-06-23 03:07

reporter   ~0064125

"If you use the "official" install package from SourceForge, then you don't need to run Composer, the libraries are bundled in the tarball. "

Yes. That was my understanding as well. This means my very first error message is not related to incorrect package.
"PHP Fatal error: Uncaught Error: Call to undefined method ComposerAutoloaderInitfa60a1d30e82198ab309dba1a3049801::getLoader() in /var/www/html/mantisbt/vendor/autoload."

What I understand is may be php 7.4 which I am using is not supporting Mantis 2.24.1 or composer token Added by default in Tarball is only meant for 7.2 (Which is working fine) .

dregad

dregad

2020-06-23 10:26

developer   ~0064126

I'm not aware of incompatibilities with PHP 7.4, but I don't a rig available to test this right now.
Did you try upgrading Composer and re-run composer install ?

Dmagnate111

Dmagnate111

2020-06-23 21:23

reporter   ~0064127

Last edited: 2020-06-23 21:23

View 2 revisions

Yes. I am proceeding on two paths now. Getting permission from Security team to use CentOS + php 7.2 like my test setup + Upgrading and re running composer for RHEL and php 7.4.
Hope either one works. Thanks for response.

atrol

atrol

2020-09-28 16:29

developer   ~0064506

Our problems is that we can't tag without creating a release on GitHub, see this discussion.

Suggestion from @sam888 0027362:0064502

maybe add a message about to the release on Github ( you can edit each release we do it for the Gramps project).

sam888

sam888

2020-09-28 20:00

reporter   ~0064510

Other suggestions:

  • When you go to run /admin/mantisbt/install.php the page should come up in the browser without attempting to do anything and you press a button to scan , doing this would also give you an opportunity to mention you need to run composer install if you don't use the sourceforge download.

  • Also upload the sourceforge bundle to the github release page with a slight different name to show it has been pre-composed (is that what it is called?) and then add you message to the release note. The added benefit is that you can stop pointing people to two places.

atrol

atrol

2020-10-05 15:36

developer   ~0064525

Implemented changes from 0027362:0064512 should be good enough for the GitHub issue.

@Dmagnate111 feel free to reopen the issue if you should be able to reproduce the problem when using the sourceforge.net download or if you find any PHP 7.4 related issue.

Issue History

Date Modified Username Field Change
2020-06-22 11:10 Dmagnate111 New Issue
2020-06-22 11:22 dregad Status new => feedback
2020-06-22 11:22 dregad Note Added: 0064121
2020-06-22 11:30 Dmagnate111 Note Added: 0064122
2020-06-22 11:30 Dmagnate111 Status feedback => new
2020-06-22 12:34 Dmagnate111 Note Added: 0064123
2020-06-23 02:57 dregad Note Added: 0064124
2020-06-23 03:07 Dmagnate111 Note Added: 0064125
2020-06-23 10:26 dregad Note Added: 0064126
2020-06-23 21:23 Dmagnate111 Note Added: 0064127
2020-06-23 21:23 Dmagnate111 Note Edited: 0064127 View Revisions
2020-09-28 16:13 atrol Relationship added related to 0027362
2020-09-28 16:23 atrol Relationship replaced has duplicate 0027362
2020-09-28 16:29 atrol Note Added: 0064506
2020-09-28 17:02 atrol Relationship replaced related to 0027362
2020-09-28 20:00 sam888 Note Added: 0064510
2020-10-05 15:36 atrol Assigned To => dregad
2020-10-05 15:36 atrol Status new => resolved
2020-10-05 15:36 atrol Resolution open => fixed
2020-10-05 15:36 atrol Note Added: 0064525
2020-10-17 12:57 atrol Status resolved => closed